/* General Styling */
body {
    overflow: hidden;
    margin: 0;
}
* {
    font-family: "Gotham";
    font-size: 2.2vw;
}

.logo-cont {
    position: absolute;
    left: 3vw;
    bottom: 5vh;
    width: 0;
    height: 8vh;
    overflow: hidden;
}
.scoreboard-cont {
    background-color: #eee;
    width: calc(100% - 4vh);
    overflow: hidden;
}
.scoreboard {
    width: 70vw;
    display: flex;
}
.team-section {
    height: 8vh;
    width: 19vw;
    color: white;
    display: flex;
}
.team-info {
    width: 75%;
    height: 100%;
}
.team-poss-name {
    height: 84%;
    display: flex;
    align-items: center;
}
#home-section {
    background-color: #7B00A7;
}
#away-section {
    background-color: #FF3838;
}
.team-possession {
    width: 0;
    height: 0;
    display: inline-block;
    margin: 0.6vw;
    border-top: 1.6vh solid transparent;
    border-bottom: 1.6vh solid transparent;
    border-left: 1.6vh solid;
}
.team-name {
    margin-left: 1vw;
}
.team-score {
    width: 25%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #33333340;
}
.team-timeouts {
    width: 100%;
    height: 8%;
    display: flex;
    justify-content: space-between;
    background-color: #33333350;
}
.timeout {
    min-width: 32%;
    height: 100%;
    background-color: white;
}
.time, .down-distance {
    height: 8vh;
    display: flex;
    background-color: #eee;
}
.time div, .down-distance {
    display: flex;
    align-items: center;
    padding: 0 1vw;
}
.quarter-time {
    justify-content: space-between;
    width: 12vw;
}
.play-time {
    width: 4vw;
    justify-content: center;
    background-color: #ddd;
    color: #444;
}
.down-distance {
    width: 10vw;
    justify-content: center;

}
#logo {
    position: relative;
    top: -8vh;
    height: 8vh;
    float: right;
}

/* Animations */

@keyframes scoreboardIn {
    0% {
        width: 0;
    }
    100% {
        width: calc(70vw + 8vh);
    }
}

@keyframes logoIn {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
  
@keyframes scoreboardOut {
    0% {
        width: calc(70vw + 8vh);
    }
    100% {
        width: 0;
    }
}

@keyframes logoOut {
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.scoreboard-in {
    animation: scoreboardIn 1s forwards;
}
.logo-in {
    animation: logoIn 1s forwards;
}
.scoreboard-out {
    animation: scoreboardOut 1s forwards;
}
.logo-out {
    animation: logoOut 1s forwards;
}